Skip to main content

Akoya
Documentation

Account Information

GET

https://sandbox-products.ddp.akoya.com/accounts-info/{version}/{providerId}

Get basic account information including accountId, masked account number, type, description, etc.

To view the response schema, select the 200 response. Then pick an option for annuity, deposit, insurance, investment, loan, and line of credit account types.

For an example payload response, see the 200 example response under the Try it feature. The example is from a deposit account but this endpoint supports all account types.

Use the mode query param to receive FDX-aligned, standardized data values. For example:

https://sandbox-products.ddp.akoya.com/accounts-info/v3/mikomo?mode=standard


Path Parameters

  1. version*

    stringdefault: v3

    Akoya major version number. Do not use minor version numbers. For instance, use v3 and not v3.1

  2. providerId*

    stringdefault: mikomo

    Id of provider

Headers

  1. x-akoya-interaction-type*

    Allowed values are `USER` or `BATCH`. `USER` indicates a request is prompted by an end-user action. `BATCH` indicates the request is part of a batch process.

  2. x-akoya-last-access*

    The date and time stamp for the last active use by the user. Follow the ISO8601 date format in the UTC time zone. For example: `2025-11-24T00:00:00Z`

  3. x-akoya-intent-type*

    Acceptable values are `payments` or `nonpayments.`

Query Parameters

  1. mode

    Default is raw. Use standard for FDX-aligned, standardized data values.

  2. accountIds

    string

    Comma-separated list of accountIds


Responses

  1. 200

    OK

    Response Body

    object

      accounts

      array of objects

      An array of accounts with entity types dependent on the account type (deposit, investment, loan, line of credit, annuity or insurance)

      Any of:

          depositAccount

              accountId

              string

              Long-term persistent identity of the account. Not an account number. This identity must be unique to the owning institution.

              accountType

              string

              The type of an account. For instance, CHECKING, SAVINGS, 401K, etc.

              accountNumberDisplay

              string

              Account display number for the end user’s handle at owning institution. This is to be displayed by the Interface Provider.

              currency

                object

                  currencyCode

                  string

                  Iso 4217 currency code.

                  currencyRate

                  number

                  Currency rate between original and converted currency.

                  originalCurrencyCode

                  string

                  Iso 4217 currency code.

              description

              string

              fiAttributes

                array

              nickname

              string

              Name given by the user. Used in UIs to assist in account selection

              productName

              string

              Marketed product name for this account. Used in UIs to assist in account selection

              status

              string

              The status of an account.

              OPENCLOSEDPENDINGOPENPENDINGCLOSEDELINQUENTPAIDNEGATIVECURRENTBALANCE

              lineOfBusiness

              string

              The line of business, such as consumer, consumer joint, small business, corporate, etc.

              balanceType

              string

              ASSET (positive transaction amount increases balance), LIABILITY (positive transaction amount decreases balance)

              ASSETLIABILITY

              interestRate

              number

              Interest Rate of Account

              interestRateType

              string

              The type of interest rate. FIXED or VARIABLE.

              FIXEDVARIABLE

              interestRateAsOf

              string

              Date of account’s interest rate

              lastActivityDate

              string

              Date that last transaction occurred on account

              micrNumber

              string

              MICR Number

              parentAccountId

              string

              Long-term persistent identity of the parent account. This is used to group accounts.

              priorInterestRate

              number

              Previous Interest Rate of Account

              transferIn

              boolean

              Account is eligible for incoming transfers

              transferOut

              boolean

              Account is eligible for outgoing transfers

              annualPercentageYield

              number

              Annual Percentage Yield.

              term

              integer

              Term of CD in months

              maturityDate

              string

              Maturity date for CDs.

          loanAccount

              accountId

              string

              Long-term persistent identity of the account. Not an account number. This identity must be unique to the owning institution.

              accountType

              string

              The type of an account. For instance, CHECKING, SAVINGS, 401K, etc.

              accountNumberDisplay

              string

              Account display number for the end user’s handle at owning institution. This is to be displayed by the Interface Provider.

              currency

                object

                  currencyCode

                  string

                  Iso 4217 currency code.

                  currencyRate

                  number

                  Currency rate between original and converted currency.

                  originalCurrencyCode

                  string

                  Iso 4217 currency code.

              description

              string

              fiAttributes

                array

              nickname

              string

              Name given by the user. Used in UIs to assist in account selection

              productName

              string

              Marketed product name for this account. Used in UIs to assist in account selection

              status

              string

              The status of an account.

              OPENCLOSEDPENDINGOPENPENDINGCLOSEDELINQUENTPAIDNEGATIVECURRENTBALANCE

              lineOfBusiness

              string

              The line of business, such as consumer, consumer joint, small business, corporate, etc.

              balanceType

              string

              ASSET (positive transaction amount increases balance), LIABILITY (positive transaction amount decreases balance)

              ASSETLIABILITY

              interestRate

              number

              Interest Rate of Account

              interestRateType

              string

              The type of interest rate. FIXED or VARIABLE.

              FIXEDVARIABLE

              interestRateAsOf

              string

              Date of account’s interest rate

              lastActivityDate

              string

              Date that last transaction occurred on account

              micrNumber

              string

              MICR Number

              parentAccountId

              string

              Long-term persistent identity of the parent account. This is used to group accounts.

              priorInterestRate

              number

              Previous Interest Rate of Account

              transferIn

              boolean

              Account is eligible for incoming transfers

              transferOut

              boolean

              Account is eligible for outgoing transfers

              compoundingPeriod

              string

              DAILYWEEKLYBIWEEKLYSEMIMONTHLYMONTHLYSEMIANNUALLYANNUALLY

              loanTerm

              integer

              Term of loan in months

              maturityDate

              string

              Maturity date

              originatingDate

              string

              Loan origination date

              paymentFrequency

              string

              DAILYWEEKLYBIWEEKLYSEMIMONTHLYMONTHLYSEMIANNUALLYANNUALLY

              totalNumberOfPayments

              integer

              Total number of payments

          locAccount

              accountId

              string

              Long-term persistent identity of the account. Not an account number. This identity must be unique to the owning institution.

              accountType

              string

              The type of an account. For instance, CHECKING, SAVINGS, 401K, etc.

              accountNumberDisplay

              string

              Account display number for the end user’s handle at owning institution. This is to be displayed by the Interface Provider.

              currency

                object

                  currencyCode

                  string

                  Iso 4217 currency code.

                  currencyRate

                  number

                  Currency rate between original and converted currency.

                  originalCurrencyCode

                  string

                  Iso 4217 currency code.

              description

              string

              fiAttributes

                array

              nickname

              string

              Name given by the user. Used in UIs to assist in account selection

              productName

              string

              Marketed product name for this account. Used in UIs to assist in account selection

              status

              string

              The status of an account.

              OPENCLOSEDPENDINGOPENPENDINGCLOSEDELINQUENTPAIDNEGATIVECURRENTBALANCE

              lineOfBusiness

              string

              The line of business, such as consumer, consumer joint, small business, corporate, etc.

              balanceType

              string

              ASSET (positive transaction amount increases balance), LIABILITY (positive transaction amount decreases balance)

              ASSETLIABILITY

              interestRate

              number

              Interest Rate of Account

              interestRateType

              string

              The type of interest rate. FIXED or VARIABLE.

              FIXEDVARIABLE

              interestRateAsOf

              string

              Date of account’s interest rate

              lastActivityDate

              string

              Date that last transaction occurred on account

              micrNumber

              string

              MICR Number

              parentAccountId

              string

              Long-term persistent identity of the parent account. This is used to group accounts.

              priorInterestRate

              number

              Previous Interest Rate of Account

              transferIn

              boolean

              Account is eligible for incoming transfers

              transferOut

              boolean

              Account is eligible for outgoing transfers

          investmentAccount

              accountId

              string

              Long-term persistent identity of the account. Not an account number. This identity must be unique to the owning institution.

              accountType

              string

              The type of an account. For instance, CHECKING, SAVINGS, 401K, etc.

              accountNumberDisplay

              string

              Account display number for the end user’s handle at owning institution. This is to be displayed by the Interface Provider.

              currency

                object

                  currencyCode

                  string

                  Iso 4217 currency code.

                  currencyRate

                  number

                  Currency rate between original and converted currency.

                  originalCurrencyCode

                  string

                  Iso 4217 currency code.

              description

              string

              fiAttributes

                array

              nickname

              string

              Name given by the user. Used in UIs to assist in account selection

              productName

              string

              Marketed product name for this account. Used in UIs to assist in account selection

              status

              string

              The status of an account.

              OPENCLOSEDPENDINGOPENPENDINGCLOSEDELINQUENTPAIDNEGATIVECURRENTBALANCE

              lineOfBusiness

              string

              The line of business, such as consumer, consumer joint, small business, corporate, etc.

              balanceType

              string

              ASSET (positive transaction amount increases balance), LIABILITY (positive transaction amount decreases balance)

              ASSETLIABILITY

              interestRate

              number

              Interest Rate of Account

              interestRateType

              string

              The type of interest rate. FIXED or VARIABLE.

              FIXEDVARIABLE

              interestRateAsOf

              string

              Date of account’s interest rate

              lastActivityDate

              string

              Date that last transaction occurred on account

              micrNumber

              string

              MICR Number

              parentAccountId

              string

              Long-term persistent identity of the parent account. This is used to group accounts.

              priorInterestRate

              number

              Previous Interest Rate of Account

              transferIn

              boolean

              Account is eligible for incoming transfers

              transferOut

              boolean

              Account is eligible for outgoing transfers

              allowedCheckWriting

              boolean

              Check writing privileges

              allowedOptionTrade

              boolean

              Allowed to trade options

              brokerId

              string

              Unique identifier FI

              calendarYearFor401K

              string

              Date for this calendar year for 401K account

              employerName

              string

              Name of the employer in investment 401k Plan

              margin

              boolean

              Margin trading is allowed

              planId

              string

              Plan number for Investment 401k plan

          insuranceAccount

              accountId

              string

              Long-term persistent identity of the account. Not an account number. This identity must be unique to the owning institution.

              accountType

              string

              The type of an account. For instance, CHECKING, SAVINGS, 401K, etc.

              accountNumberDisplay

              string

              Account display number for the end user’s handle at owning institution. This is to be displayed by the Interface Provider.

              currency

                object

                  currencyCode

                  string

                  Iso 4217 currency code.

                  currencyRate

                  number

                  Currency rate between original and converted currency.

                  originalCurrencyCode

                  string

                  Iso 4217 currency code.

              description

              string

              fiAttributes

                array

              nickname

              string

              Name given by the user. Used in UIs to assist in account selection

              productName

              string

              Marketed product name for this account. Used in UIs to assist in account selection

              status

              string

              The status of an account.

              OPENCLOSEDPENDINGOPENPENDINGCLOSEDELINQUENTPAIDNEGATIVECURRENTBALANCE

              lineOfBusiness

              string

              The line of business, such as consumer, consumer joint, small business, corporate, etc.

              balanceType

              string

              ASSET (positive transaction amount increases balance), LIABILITY (positive transaction amount decreases balance)

              ASSETLIABILITY

              interestRate

              number

              Interest Rate of Account

              interestRateType

              string

              The type of interest rate. FIXED or VARIABLE.

              FIXEDVARIABLE

              interestRateAsOf

              string

              Date of account’s interest rate

              lastActivityDate

              string

              Date that last transaction occurred on account

              micrNumber

              string

              MICR Number

              parentAccountId

              string

              Long-term persistent identity of the parent account. This is used to group accounts.

              priorInterestRate

              number

              Previous Interest Rate of Account

              transferIn

              boolean

              Account is eligible for incoming transfers

              transferOut

              boolean

              Account is eligible for outgoing transfers

              accountCategory

              string

              The account category of the insurance account. Possible enums: DEPOSIT_ACCOUNT, INVESTMENT_ACCOUNT, LOAN_ACCOUNT, LOC_ACCOUNT, INSURANCE_ACCOUNT

              DEPOSIT_ACCOUNTINVESTMENT_ACCOUNTLOAN_ACCOUNTLOC_ACCOUNTINSURANCE_ACCOUNT

          annuityAccount

              accountId

              string

              Long-term persistent identity of the account. Not an account number. This identity must be unique to the owning institution.

              accountType

              string

              The type of an account. For instance, CHECKING, SAVINGS, 401K, etc.

              accountNumberDisplay

              string

              Account display number for the end user’s handle at owning institution. This is to be displayed by the Interface Provider.

              currency

                object

                  currencyCode

                  string

                  Iso 4217 currency code.

                  currencyRate

                  number

                  Currency rate between original and converted currency.

                  originalCurrencyCode

                  string

                  Iso 4217 currency code.

              description

              string

              fiAttributes

                array

              nickname

              string

              Name given by the user. Used in UIs to assist in account selection

              productName

              string

              Marketed product name for this account. Used in UIs to assist in account selection

              status

              string

              The status of an account.

              OPENCLOSEDPENDINGOPENPENDINGCLOSEDELINQUENTPAIDNEGATIVECURRENTBALANCE

              lineOfBusiness

              string

              The line of business, such as consumer, consumer joint, small business, corporate, etc.

              balanceType

              string

              ASSET (positive transaction amount increases balance), LIABILITY (positive transaction amount decreases balance)

              ASSETLIABILITY

              interestRate

              number

              Interest Rate of Account

              interestRateType

              string

              The type of interest rate. FIXED or VARIABLE.

              FIXEDVARIABLE

              interestRateAsOf

              string

              Date of account’s interest rate

              lastActivityDate

              string

              Date that last transaction occurred on account

              micrNumber

              string

              MICR Number

              parentAccountId

              string

              Long-term persistent identity of the parent account. This is used to group accounts.

              priorInterestRate

              number

              Previous Interest Rate of Account

              transferIn

              boolean

              Account is eligible for incoming transfers

              transferOut

              boolean

              Account is eligible for outgoing transfers

              annuityProductType

              string

              CURRENCYSHARES

              annuityValueBasis

              string

              FIXEDVARIABLE

              paymentFrequency

              string

              ANNUALLYQUARTERLYMONTHLYWEEKLY
  2. 206

    Partial Content. Success searching for accounts. Some errors are being returned.

    Response Body

    object

      accounts

      array of objects

      An array of accounts with entity types dependent on the account type (deposit, investment, loan, line of credit, annuity or insurance)

      Any of:

          depositAccount

              accountId

              string

              Long-term persistent identity of the account. Not an account number. This identity must be unique to the owning institution.

              accountType

              string

              The type of an account. For instance, CHECKING, SAVINGS, 401K, etc.

              accountNumberDisplay

              string

              Account display number for the end user’s handle at owning institution. This is to be displayed by the Interface Provider.

              currency

                object

                  currencyCode

                  string

                  Iso 4217 currency code.

                  currencyRate

                  number

                  Currency rate between original and converted currency.

                  originalCurrencyCode

                  string

                  Iso 4217 currency code.

              description

              string

              fiAttributes

                array

              nickname

              string

              Name given by the user. Used in UIs to assist in account selection

              productName

              string

              Marketed product name for this account. Used in UIs to assist in account selection

              status

              string

              The status of an account.

              OPENCLOSEDPENDINGOPENPENDINGCLOSEDELINQUENTPAIDNEGATIVECURRENTBALANCE

              lineOfBusiness

              string

              The line of business, such as consumer, consumer joint, small business, corporate, etc.

              balanceType

              string

              ASSET (positive transaction amount increases balance), LIABILITY (positive transaction amount decreases balance)

              ASSETLIABILITY

              interestRate

              number

              Interest Rate of Account

              interestRateType

              string

              The type of interest rate. FIXED or VARIABLE.

              FIXEDVARIABLE

              interestRateAsOf

              string

              Date of account’s interest rate

              lastActivityDate

              string

              Date that last transaction occurred on account

              micrNumber

              string

              MICR Number

              parentAccountId

              string

              Long-term persistent identity of the parent account. This is used to group accounts.

              priorInterestRate

              number

              Previous Interest Rate of Account

              transferIn

              boolean

              Account is eligible for incoming transfers

              transferOut

              boolean

              Account is eligible for outgoing transfers

              annualPercentageYield

              number

              Annual Percentage Yield.

              term

              integer

              Term of CD in months

              maturityDate

              string

              Maturity date for CDs.

          loanAccount

              accountId

              string

              Long-term persistent identity of the account. Not an account number. This identity must be unique to the owning institution.

              accountType

              string

              The type of an account. For instance, CHECKING, SAVINGS, 401K, etc.

              accountNumberDisplay

              string

              Account display number for the end user’s handle at owning institution. This is to be displayed by the Interface Provider.

              currency

                object

                  currencyCode

                  string

                  Iso 4217 currency code.

                  currencyRate

                  number

                  Currency rate between original and converted currency.

                  originalCurrencyCode

                  string

                  Iso 4217 currency code.

              description

              string

              fiAttributes

                array

              nickname

              string

              Name given by the user. Used in UIs to assist in account selection

              productName

              string

              Marketed product name for this account. Used in UIs to assist in account selection

              status

              string

              The status of an account.

              OPENCLOSEDPENDINGOPENPENDINGCLOSEDELINQUENTPAIDNEGATIVECURRENTBALANCE

              lineOfBusiness

              string

              The line of business, such as consumer, consumer joint, small business, corporate, etc.

              balanceType

              string

              ASSET (positive transaction amount increases balance), LIABILITY (positive transaction amount decreases balance)

              ASSETLIABILITY

              interestRate

              number

              Interest Rate of Account

              interestRateType

              string

              The type of interest rate. FIXED or VARIABLE.

              FIXEDVARIABLE

              interestRateAsOf

              string

              Date of account’s interest rate

              lastActivityDate

              string

              Date that last transaction occurred on account

              micrNumber

              string

              MICR Number

              parentAccountId

              string

              Long-term persistent identity of the parent account. This is used to group accounts.

              priorInterestRate

              number

              Previous Interest Rate of Account

              transferIn

              boolean

              Account is eligible for incoming transfers

              transferOut

              boolean

              Account is eligible for outgoing transfers

              compoundingPeriod

              string

              DAILYWEEKLYBIWEEKLYSEMIMONTHLYMONTHLYSEMIANNUALLYANNUALLY

              loanTerm

              integer

              Term of loan in months

              maturityDate

              string

              Maturity date

              originatingDate

              string

              Loan origination date

              paymentFrequency

              string

              DAILYWEEKLYBIWEEKLYSEMIMONTHLYMONTHLYSEMIANNUALLYANNUALLY

              totalNumberOfPayments

              integer

              Total number of payments

          locAccount

              accountId

              string

              Long-term persistent identity of the account. Not an account number. This identity must be unique to the owning institution.

              accountType

              string

              The type of an account. For instance, CHECKING, SAVINGS, 401K, etc.

              accountNumberDisplay

              string

              Account display number for the end user’s handle at owning institution. This is to be displayed by the Interface Provider.

              currency

                object

                  currencyCode

                  string

                  Iso 4217 currency code.

                  currencyRate

                  number

                  Currency rate between original and converted currency.

                  originalCurrencyCode

                  string

                  Iso 4217 currency code.

              description

              string

              fiAttributes

                array

              nickname

              string

              Name given by the user. Used in UIs to assist in account selection

              productName

              string

              Marketed product name for this account. Used in UIs to assist in account selection

              status

              string

              The status of an account.

              OPENCLOSEDPENDINGOPENPENDINGCLOSEDELINQUENTPAIDNEGATIVECURRENTBALANCE

              lineOfBusiness

              string

              The line of business, such as consumer, consumer joint, small business, corporate, etc.

              balanceType

              string

              ASSET (positive transaction amount increases balance), LIABILITY (positive transaction amount decreases balance)

              ASSETLIABILITY

              interestRate

              number

              Interest Rate of Account

              interestRateType

              string

              The type of interest rate. FIXED or VARIABLE.

              FIXEDVARIABLE

              interestRateAsOf

              string

              Date of account’s interest rate

              lastActivityDate

              string

              Date that last transaction occurred on account

              micrNumber

              string

              MICR Number

              parentAccountId

              string

              Long-term persistent identity of the parent account. This is used to group accounts.

              priorInterestRate

              number

              Previous Interest Rate of Account

              transferIn

              boolean

              Account is eligible for incoming transfers

              transferOut

              boolean

              Account is eligible for outgoing transfers

          investmentAccount

              accountId

              string

              Long-term persistent identity of the account. Not an account number. This identity must be unique to the owning institution.

              accountType

              string

              The type of an account. For instance, CHECKING, SAVINGS, 401K, etc.

              accountNumberDisplay

              string

              Account display number for the end user’s handle at owning institution. This is to be displayed by the Interface Provider.

              currency

                object

                  currencyCode

                  string

                  Iso 4217 currency code.

                  currencyRate

                  number

                  Currency rate between original and converted currency.

                  originalCurrencyCode

                  string

                  Iso 4217 currency code.

              description

              string

              fiAttributes

                array

              nickname

              string

              Name given by the user. Used in UIs to assist in account selection

              productName

              string

              Marketed product name for this account. Used in UIs to assist in account selection

              status

              string

              The status of an account.

              OPENCLOSEDPENDINGOPENPENDINGCLOSEDELINQUENTPAIDNEGATIVECURRENTBALANCE

              lineOfBusiness

              string

              The line of business, such as consumer, consumer joint, small business, corporate, etc.

              balanceType

              string

              ASSET (positive transaction amount increases balance), LIABILITY (positive transaction amount decreases balance)

              ASSETLIABILITY

              interestRate

              number

              Interest Rate of Account

              interestRateType

              string

              The type of interest rate. FIXED or VARIABLE.

              FIXEDVARIABLE

              interestRateAsOf

              string

              Date of account’s interest rate

              lastActivityDate

              string

              Date that last transaction occurred on account

              micrNumber

              string

              MICR Number

              parentAccountId

              string

              Long-term persistent identity of the parent account. This is used to group accounts.

              priorInterestRate

              number

              Previous Interest Rate of Account

              transferIn

              boolean

              Account is eligible for incoming transfers

              transferOut

              boolean

              Account is eligible for outgoing transfers

              allowedCheckWriting

              boolean

              Check writing privileges

              allowedOptionTrade

              boolean

              Allowed to trade options

              brokerId

              string

              Unique identifier FI

              calendarYearFor401K

              string

              Date for this calendar year for 401K account

              employerName

              string

              Name of the employer in investment 401k Plan

              margin

              boolean

              Margin trading is allowed

              planId

              string

              Plan number for Investment 401k plan

          insuranceAccount

              accountId

              string

              Long-term persistent identity of the account. Not an account number. This identity must be unique to the owning institution.

              accountType

              string

              The type of an account. For instance, CHECKING, SAVINGS, 401K, etc.

              accountNumberDisplay

              string

              Account display number for the end user’s handle at owning institution. This is to be displayed by the Interface Provider.

              currency

                object

                  currencyCode

                  string

                  Iso 4217 currency code.

                  currencyRate

                  number

                  Currency rate between original and converted currency.

                  originalCurrencyCode

                  string

                  Iso 4217 currency code.

              description

              string

              fiAttributes

                array

              nickname

              string

              Name given by the user. Used in UIs to assist in account selection

              productName

              string

              Marketed product name for this account. Used in UIs to assist in account selection

              status

              string

              The status of an account.

              OPENCLOSEDPENDINGOPENPENDINGCLOSEDELINQUENTPAIDNEGATIVECURRENTBALANCE

              lineOfBusiness

              string

              The line of business, such as consumer, consumer joint, small business, corporate, etc.

              balanceType

              string

              ASSET (positive transaction amount increases balance), LIABILITY (positive transaction amount decreases balance)

              ASSETLIABILITY

              interestRate

              number

              Interest Rate of Account

              interestRateType

              string

              The type of interest rate. FIXED or VARIABLE.

              FIXEDVARIABLE

              interestRateAsOf

              string

              Date of account’s interest rate

              lastActivityDate

              string

              Date that last transaction occurred on account

              micrNumber

              string

              MICR Number

              parentAccountId

              string

              Long-term persistent identity of the parent account. This is used to group accounts.

              priorInterestRate

              number

              Previous Interest Rate of Account

              transferIn

              boolean

              Account is eligible for incoming transfers

              transferOut

              boolean

              Account is eligible for outgoing transfers

              accountCategory

              string

              The account category of the insurance account. Possible enums: DEPOSIT_ACCOUNT, INVESTMENT_ACCOUNT, LOAN_ACCOUNT, LOC_ACCOUNT, INSURANCE_ACCOUNT

              DEPOSIT_ACCOUNTINVESTMENT_ACCOUNTLOAN_ACCOUNTLOC_ACCOUNTINSURANCE_ACCOUNT

          annuityAccount

              accountId

              string

              Long-term persistent identity of the account. Not an account number. This identity must be unique to the owning institution.

              accountType

              string

              The type of an account. For instance, CHECKING, SAVINGS, 401K, etc.

              accountNumberDisplay

              string

              Account display number for the end user’s handle at owning institution. This is to be displayed by the Interface Provider.

              currency

                object

                  currencyCode

                  string

                  Iso 4217 currency code.

                  currencyRate

                  number

                  Currency rate between original and converted currency.

                  originalCurrencyCode

                  string

                  Iso 4217 currency code.

              description

              string

              fiAttributes

                array

              nickname

              string

              Name given by the user. Used in UIs to assist in account selection

              productName

              string

              Marketed product name for this account. Used in UIs to assist in account selection

              status

              string

              The status of an account.

              OPENCLOSEDPENDINGOPENPENDINGCLOSEDELINQUENTPAIDNEGATIVECURRENTBALANCE

              lineOfBusiness

              string

              The line of business, such as consumer, consumer joint, small business, corporate, etc.

              balanceType

              string

              ASSET (positive transaction amount increases balance), LIABILITY (positive transaction amount decreases balance)

              ASSETLIABILITY

              interestRate

              number

              Interest Rate of Account

              interestRateType

              string

              The type of interest rate. FIXED or VARIABLE.

              FIXEDVARIABLE

              interestRateAsOf

              string

              Date of account’s interest rate

              lastActivityDate

              string

              Date that last transaction occurred on account

              micrNumber

              string

              MICR Number

              parentAccountId

              string

              Long-term persistent identity of the parent account. This is used to group accounts.

              priorInterestRate

              number

              Previous Interest Rate of Account

              transferIn

              boolean

              Account is eligible for incoming transfers

              transferOut

              boolean

              Account is eligible for outgoing transfers

              annuityProductType

              string

              CURRENCYSHARES

              annuityValueBasis

              string

              FIXEDVARIABLE

              paymentFrequency

              string

              ANNUALLYQUARTERLYMONTHLYWEEKLY
  3. 400

    Invalid Input

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  4. 401

    Customer not authorized.

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  5. 404

    701 - Tax Lots not found. The `holdingId` may be wrong.

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  6. 405

    Method Not Allowed

    Response

    string

  7. 406

    Content Type not Supported

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  8. 408

    Request timed out (round trip call took >10 seconds).

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  9. 429

    1207 - Too many requests

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  10. 500

    Catch-all exception where request was not processed due to an internal outage/issue.

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  11. 501

    FdxVersion in header is not implemented.

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  12. 503

    System is down for maintenance.

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

CTRL + K

Try it

Authorization